com.holonplatform.datastore.jdbc.composer.internal

## Enum DefaultSQLValueDeserializer

- java.lang.Object
- - java.lang.Enum<DefaultSQLValueDeserializer>
  - - com.holonplatform.datastore.jdbc.composer.internal.DefaultSQLValueDeserializer

- All Implemented Interfaces:
    SQLValueDeserializer, Serializable, Comparable<DefaultSQLValueDeserializer>

      public enum DefaultSQLValueDeserializer
      extends Enum<DefaultSQLValueDeserializer>
      implements SQLValueDeserializer

  Default `SQLValueDeserializer`.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.composer.SQLValueDeserializer

      `SQLValueDeserializer.ValueProcessor`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE` Singleton instance

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValueProcessor(SQLValueDeserializer.ValueProcessor valueProcessor)` Add a deserialized value processor.
    `<T> T` | `deserialize(SQLExecutionContext context, com.holonplatform.core.TypedExpression<T> expression, Object valueToDeserialize)` Deserialize the `value` associated to given `expression`, to obtain a value type which matches the expression type.
    `static DefaultSQLValueDeserializer` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultSQLValueDeserializer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLValueDeserializer

      `getDefault`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final DefaultSQLValueDeserializer INSTANCE

      Singleton instance

  - ### Method Detail

    - #### values

          public static DefaultSQLValueDeserializer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultSQLValueDeserializer c : DefaultSQLValueDeserializer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultSQLValueDeserializer valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### addValueProcessor

          public void addValueProcessor(SQLValueDeserializer.ValueProcessor valueProcessor)

      Description copied from interface: `SQLValueDeserializer`
      Add a deserialized value processor.
      Specified by:
        `addValueProcessor` in interface `SQLValueDeserializer`
      Parameters:
        `valueProcessor` - the value processor to add (not null)

    - #### deserialize

          public <T> T deserialize(SQLExecutionContext context,
                                   com.holonplatform.core.TypedExpression<T> expression,
                                   Object valueToDeserialize)
                            throws SQLException

      Description copied from interface: `SQLValueDeserializer`
      Deserialize the `value` associated to given `expression`, to obtain a value type which matches the expression type.
      Specified by:
        `deserialize` in interface `SQLValueDeserializer`
      Type Parameters:
        `T` - Expression type
      Parameters:
        `context` - Execution context
        `expression` - Expression for which the deserialization is invoked
        `valueToDeserialize` - Value to deserialize
      Returns:
        Deserialized value
      Throws:
        `SQLException` - If value cannot be deserialized using given expression type

Copyright © 2019 The Holon Platform. All rights reserved.